import { BaseProvider } from '#templates/base/provider';
import { EmailVerifyToken } from '#models/EmailVerifyToken';

export class EmailVerifyTokenProvider extends BaseProvider<EmailVerifyToken> {
	public static instance: EmailVerifyTokenProvider;

	public static getInstance(): EmailVerifyTokenProvider {
		EmailVerifyTokenProvider.instance ??= new EmailVerifyTokenProvider();
		return EmailVerifyTokenProvider.instance;
	}

	public static get model() {
		return EmailVerifyToken;
	}

	constructor() {
		super('EmailVerifyToken');
	}
}
